Bug 456729 - Incorrect menubar background color when using color scheme with Header colors
Summary: Incorrect menubar background color when using color scheme with Header colors
Status: RESOLVED FIXED
Alias: None
Product: frameworks-qqc2-desktop-style
Classification: Unclassified
Component: general (show other bugs)
Version: 5.96.0
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-14 20:35 UTC by Kartikey Subramanium
Modified: 2022-07-20 14:34 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.97


Attachments
sample menu bar (6.15 KB, image/png)
2022-07-14 20:35 UTC, Kartikey Subramanium
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kartikey Subramanium 2022-07-14 20:35:48 UTC
Created attachment 150633 [details]
sample menu bar

The menuBar component in QtQuick.Controls has incorrect background color by default when the window is active.
Comment 1 Bug Janitor Service 2022-07-20 14:07:10 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/qqc2-desktop-style/-/merge_requests/175
Comment 2 Nate Graham 2022-07-20 14:34:00 UTC
Git commit 299748e9bdc01a30e90cb7413b0815564864dc3b by Nate Graham, on behalf of Kartikey Subramanium.
Committed on 20/07/2022 at 14:33.
Pushed by ngraham into branch 'master'.

Fix QQC2 MenuBar theme.

| Before | After |
| ------ | ------ |
| ![Screenshot_20220720_193546](/uploads/4eded8d26fe77b8a64d9abd7806ecf2f/Screenshot_20220720_193546.png) | ![Screenshot_20220720_193536](/uploads/825c2cc901d859ea5cd84fe299bdc941/Screenshot_20220720_193536.png) |

M  +3    -0    org.kde.desktop/MenuBar.qml

https://invent.kde.org/frameworks/qqc2-desktop-style/commit/299748e9bdc01a30e90cb7413b0815564864dc3b